Update block compliance facts
curl --request PUT \
--url https://api.sortx.co.uk/blocks/{blockId}/compliance/facts \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"facts": {
"storeyOver11m": "<string>",
"builtBefore2000": "<string>",
"fireAlarm": "<string>",
"emergencyLighting": "<string>",
"communalWater": "<string>"
}
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
expectedRevision: 123,
facts: {
storeyOver11m: '<string>',
builtBefore2000: '<string>',
fireAlarm: '<string>',
emergencyLighting: '<string>',
communalWater: '<string>'
}
})
};
fetch('https://api.sortx.co.uk/blocks/{blockId}/compliance/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/blocks/{blockId}/compliance/facts"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"facts": {
"storeyOver11m": "<string>",
"builtBefore2000": "<string>",
"fireAlarm": "<string>",
"emergencyLighting": "<string>",
"communalWater": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"blockId": "<string>",
"facts": {
"storeyOver11m": "unknown",
"builtBefore2000": "unknown",
"fireAlarm": "unknown",
"emergencyLighting": "unknown",
"communalWater": "unknown"
},
"revision": 0,
"policyVersion": "<string>",
"updatedAt": "<string>",
"updatedByUserId": "<string>",
"ownFacts": {
"storeyOver11m": "unknown",
"builtBefore2000": "unknown",
"fireAlarm": "unknown",
"emergencyLighting": "unknown",
"communalWater": "unknown"
},
"factSources": {
"storeyOver11m": "own",
"builtBefore2000": "own",
"fireAlarm": "own",
"emergencyLighting": "own",
"communalWater": "own"
},
"history": [
{
"id": "<string>",
"kind": "<string>",
"detail": "<string>",
"actorUserId": "<string>",
"policyVersion": "<string>",
"createdAt": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}compliance
Update block compliance facts
Record the facts that decide which communal compliance duties apply to a block
PUT
/
blocks
/
{blockId}
/
compliance
/
facts
Update block compliance facts
curl --request PUT \
--url https://api.sortx.co.uk/blocks/{blockId}/compliance/facts \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"facts": {
"storeyOver11m": "<string>",
"builtBefore2000": "<string>",
"fireAlarm": "<string>",
"emergencyLighting": "<string>",
"communalWater": "<string>"
}
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
expectedRevision: 123,
facts: {
storeyOver11m: '<string>',
builtBefore2000: '<string>',
fireAlarm: '<string>',
emergencyLighting: '<string>',
communalWater: '<string>'
}
})
};
fetch('https://api.sortx.co.uk/blocks/{blockId}/compliance/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/blocks/{blockId}/compliance/facts"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"facts": {
"storeyOver11m": "<string>",
"builtBefore2000": "<string>",
"fireAlarm": "<string>",
"emergencyLighting": "<string>",
"communalWater": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"blockId": "<string>",
"facts": {
"storeyOver11m": "unknown",
"builtBefore2000": "unknown",
"fireAlarm": "unknown",
"emergencyLighting": "unknown",
"communalWater": "unknown"
},
"revision": 0,
"policyVersion": "<string>",
"updatedAt": "<string>",
"updatedByUserId": "<string>",
"ownFacts": {
"storeyOver11m": "unknown",
"builtBefore2000": "unknown",
"fireAlarm": "unknown",
"emergencyLighting": "unknown",
"communalWater": "unknown"
},
"factSources": {
"storeyOver11m": "own",
"builtBefore2000": "own",
"fireAlarm": "own",
"emergencyLighting": "own",
"communalWater": "own"
},
"history": [
{
"id": "<string>",
"kind": "<string>",
"detail": "<string>",
"actorUserId": "<string>",
"policyVersion": "<string>",
"createdAt": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes